We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

Overview

React Dashboard Layout is a grid-structured layout component that helps create static and dynamic dashboard layouts with panels. It is also referred as React Dashboard Layout Template. Dashboard panels are the basic building blocks of a dashboard and can be added programmatically or dynamically at runtime. The panels hold UI components and allow resizing, reordering, dragging and dropping, removing, and adding. This allows users to easily place components at the desired positions within the grid layout.


Why choose Syncfusion Essential Studio® React Dashboard Layout?

React Dashboard grid layout.

Grid-structured layout

The Dashboard Layout is a component with a grid-like structure that can easily split content into equal-sized cells.

React Dashboard layout easy interaction.

Easy to interact

The panels allow for resizing, rearranging, dragging, and dropping, removing and adding UI components. Components can be placed conveniently within the grid arrangement in the desired positions.

Insert UI component in React Dashboard.

Insert any UI component

DataGrid, Charts, gauges, Maps, or any HTML content can be placed as panel content inside the layout to present metrics.

React Dashboard auto arranging panels.

Auto arranging panels

With floating support, the panels in the layout will automatically organize themselves by sliding upward to occupy any open spaces. This makes efficient use of the layout for positioning panels.

React Dashboard responsiveness.

Adapts to any resolution

The Dashboard Layout is a highly responsive with an optimized design for desktops, touchscreens, and smart phones. It works well on all mobile phones that use iOS, Android, or Windows OS.

React Dashboard themes.

Attractive, customizable themes

Cutting-edge design with several built-in themes, such as Fluent, Tailwind CSS, Bootstrap, Material, and Fabric. Utilize the online Theme Studio tool to customize themes easily.


React Dashboard Layout Code Example

Easily get started with the React Dashboard Layout using a few simple lines of TSX code example as demonstrated below. Also explore our React Dashboard Layout Example that shows you how to render and configure a Dashboard in React.

import { DashboardLayoutComponent } from '@syncfusion/ej2-react-layouts';
import * as React from 'react';

function App() {
  let cellSpacing: number[] = [5, 5];
  return (
    <div>
      <div className="control-section">
        <DashboardLayoutComponent id='defaultLayout' cellSpacing={cellSpacing} allowResizing={true} columns={5}>
          <div id="one" className="e-panel" data-row="0" data-col="0" data-sizex="1" data-sizey="1">
            <span id="close" className="e-template-icon e-clear-icon" />
            <div className="e-panel-container">
              <div className="text-align">0</div>
            </div>
          </div>
          <div id="two" className="e-panel" data-row="1" data-col="0" data-sizex="1" data-sizey="2">
            <span id="close" className="e-template-icon e-clear-icon" />
            <div className="e-panel-container">
              <div className="text-align">1</div>
            </div>
          </div>
        </DashboardLayoutComponent>
      </div>
    </div>
  );
}
const root = ReactDOM.createRoot(document.getElementById('root'));
root.render(<App />);

Dynamic layout design

The React Dashboard Layout component allows dynamic designing of the layout by adding, removing, resizing, floating, and reordering the panels within the layout.

Drag and drop

React Dashboard Layout with rich UI provides smooth dragging of the panels to replace or re-order at the desired position within the layout.

React Dashboard Layout Drag and Drop.

Resizing

Easy resizing of a panel in all directions enables quick designing of the layout, and fitting small or large-sized content conveniently.

React Dashboard Layout Resizing.

Floating Panel

The panels within the layout will auto arrange by moving in the upward direction to occupy empty spaces available in the layout. This provides effective usage of the layout for panel placement. React admin template has all the functionality you’ll need to create beautiful, high-performance admin dashboards. With cool neutral colors and plenty of whitespace, it has a modern minimalist design style.

React Dashboard Layout Floating Panel.


Placing components as content

Place any HTML content or HTML UI components like Grid, Charts, Gauge, Maps, etc. to represent the metrics or KPI as panel content inside the dashboards.

React Dashboard Layout placing components as content.


React Dashboard Layout State persistence.

State persistence

The Dashboard Layout component’s public serialize method allows users to obtain and save the current layout structure of the component in order to construct another dashboard with the same panel structure.





Other supported frameworks

The Dashboard Layout is available for the Blazor, Angular, JavaScript, and Vue frameworks. Explore its platform-specific options through the following links:

Supported browsers

The React Dashboard Layout works well with all modern web browsers, including Chrome, Firefox, Edge, Safari, and Opera.

React Dashboard Layout supports browsers.

85+ REACT UI COMPONENTS

Frequently Asked Questions

The Syncfusion React Dashboard component offers the following features:

  • A simple and easily configurable layout component for designing interactive and responsive dashboards.
  • Allows effortless and dynamic customization of dashboards with draggable and resizable panels.
  • Easy to integrate other UI components like Grid, Charts, Gauge, Maps, and more to visualize any complex data or key metrics.
  • One of the best React Dashboard Layout in the market that offers feature-rich UI to interact with the software.
  • Simple configuration and API.
  • Supports all modern browsers.
  • Expansive learning resources such as demos and documentation to learn quickly and get started with React Dashboard Layout.

We do not sell the React Dashboard Layout separately. It is only available for purchase as part of the Syncfusion team license. This contains over 1,800 components and frameworks, including the React Dashboard Layout. The price of the team license starts at $395 per month for 5 developers, and includes support and updates until the subscription expires. In addition, we might offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

You can find our React Dashboard Layout demo, which demonstrates how to render and configure the Dashboard layout.

No, our 1,800+ components and frameworks for web, mobile, and desktop, including our React Dashboard Layout, are not sold individually. They are only available as part of a team license. However, we have competitively priced the product, so it only costs a little bit more than what some other vendors charge for their Dashboard Layout component alone. We have also found that, in our experience, our customers usually start off using one of our products and then expand to several products quickly, so we felt it was best to offer all 1,800+ components and frameworks for a subscription fee that starts at $395 per month for a team of 5 developers. Additionally, we might be able to offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion is proud to hold the following industry awards.

Up arrow icon

We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

Overview

Vue Dashboard Layout is a grid-structured layout component that helps create static and dynamic dashboard layouts with panels. It is also referred as Vue Dashboard Layout Template. Dashboard panels are the basic building blocks of a dashboard and can be added programmatically or dynamically at runtime. The panels hold UI components and allow resizing, reordering, dragging and dropping, removing, and adding. This allows users to easily place components at the desired positions within the grid layout.


Why choose Syncfusion Essential Studio® Vue Dashboard Layout?

Vue Dashboard Grid structured layout.

Grid-structured layout

The Dashboard Layout is a component with a grid-like structure that can easily split content into equal-sized cells.

Vue Dashboard layout easy interaction.

Easy to interact

The panels allow for resizing, rearranging, dragging, and dropping, removing and adding UI components. Components can be placed conveniently within the grid arrangement in the desired positions.

Insert UI component in Vue Dashboard.

Insert any UI component

DataGrid, Charts, gauges, Maps, or any HTML content can be placed as panel content inside the layout to present metrics.

Vue Dashboard auto arranging panels.

Auto arranging panels

With floating support, the panels in the layout will automatically organize themselves by sliding upward to occupy any open spaces. This makes efficient use of the layout for positioning panels.

Vue Dashboard responsiveness.

Adapts to any resolution

The Dashboard Layout is a highly responsive with an optimized design for desktops, touchscreens, and smart phones. It works well on all mobile phones that use iOS, Android, or Windows OS.

Vue Dashboard customizable themes.

Attractive, customizable themes

Cutting-edge design with several built-in themes, such as Fluent, Tailwind CSS, Bootstrap, Material, and Fabric. Utilize the online Theme Studio tool to customize themes easily.


Vue Dashboard Layout Code Example

Easily get started with the Vue Dashboard Layout using a few simple lines of Vue code example as demonstrated below. Also explore our Vue Dashboard Layout Example that shows you how to render and configure a Dashboard Layout in Vue.

<template>
<div>
    <div class="control-section dashboard-default">
     <div style="padding:5px;text-align: right;">
         <ejs-button id="add" class="e-btn e-info" v-on:click.native="addPanel"> Add Panel </ejs-button>
    </div>
    <ejs-dashboardlayout ref="DashbordInstance" :columns="5" id='defaultLayout' :allowResizing="true" :cellSpacing="spacing">
        <div id="one" class="e-panel" data-row="0" data-col="0" data-sizeX="1" data-sizeY="1">
            <span id="close" class="e-template-icon e-clear-icon"></span>
            <div class="e-panel-container">
                <div class="text-align">
                        <div>0</div>
                </div>
            </div>
        </div>
        <div id="two" class="e-panel" data-row="1" data-col="0" data-sizeX="1" data-sizeY="2">
            <span id="close" class="e-template-icon e-clear-icon"></span>
            <div class="e-panel-container"> 
                 <div class="text-align">
                   <div>1</div>
                </div>
            </div>
        </div>
    </ejs-dashboardlayout>
    <div id="content"></div>
</div>

</div>
</template>

Dynamic layout designing

The Vue Dashboard Layout component allows dynamic designing of the layout by adding, removing, resizing, floating, and reordering the panels within the layout.

Drag and drop

Vue Dashboard Layout with rich UI provides smooth dragging of the panels to replace or re-order at the desired position within the layout.

Vue Dashboard Layout drag and drop.

Resizing

Easy resizing of a panel in all directions enables quick designing of the layout, and fitting small or large-sized content conveniently.

Vue Dashboard Layout resizing.

Floating

The panels within the layout will auto arrange by moving in the upward direction to occupy empty spaces available in the layout. This provides effective usage of the layout for panel placement. Vue admin template has all the functionality you’ll need to create beautiful, high-performance admin dashboards. With cool neutral colors and plenty of whitespace, it has a modern minimalist design style.

Vue Dashboard Layout floating panels.


Placing components as content

Place any HTML content or HTML UI components like Grid, Charts, Gauge, Maps, etc. to represent the metrics or KPI as panel content inside the dashboards.

Vue Dashboard Layout placing components as content.


Vue Dashboard Layout state persistence.

State persistence

The Dashboard Layout component’s public serialize method allows users to obtain and save the current layout structure of the component in order to construct another dashboard with the same panel structure.





Other supported frameworks

Dashboard Layout is also available in Blazor, Angular, React, and JavaScript frameworks. Check out the different Dashboard Layout platforms from the links below,

Supported browsers

The Vue Dashboard Layout works well with all modern web browsers such as Chrome, Firefox, Microsoft Edge, Safari, and Opera.

Supported browsers in Vue Dashboard Layout.

85+ VUE UI COMPONENTS

Frequently Asked Questions

The Vue Dashboard Layout with rich-set of features are listed below,

  • A simple and easily configurable layout component for designing interactive and responsive dashboards.
  • Allows effortless and dynamic customization of dashboards with draggable and resizable panels.
  • Easy to integrate other UI components like Grid, Charts, Gauge, Maps, and more to visualize any complex data or key metrics.
  • One of the best Vue Dashboard Layout in the market that offers feature-rich UI to interact with the software.
  • Simple configuration and API.
  • Supports all modern browsers.
  • Expansive learning resources such as demos and documentation to learn quickly and get started with Vue Dashboard Layout.

We do not sell the Vue Dashboard Layout separately. It is only available for purchase as part of the Syncfusion team license. This contains over 1,800 components and frameworks, including the Vue Dashboard Layout. The price of the team license starts at $395 per month for 5 developers, and includes support and updates until the subscription expires. In addition, we might offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

You can find our Vue Dashboard Layout demo, which demonstrates how to render and configure the Dashboard Layout.

No, our 1,800+ components and frameworks for web, mobile, and desktop, including our Vue Dashboard Layout, are not sold individually. They are only available as part of a team license. However, we have competitively priced the product, so it only costs a little bit more than what some other vendors charge for their Dashboard Layout component alone. We have also found that, in our experience, our customers usually start off using one of our products and then expand to several products quickly, so we felt it was best to offer all 1,800+ components and frameworks for a subscription fee that starts at $395 per month for a team of 5 developers. Additionally, we might be able to offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion is proud to hold the following industry awards.

Up arrow icon

We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Syncfusion Feedback

Trusted by the world’s leading companies

syncfusion trusted companies

Overview

Angular Dashboard Layout is a grid-structured layout component that helps create static and dynamic dashboard layouts with panels. It is also referred as Angular Dashboard Layout Template. Dashboard panels are the basic building blocks of a dashboard and can be added programmatically or dynamically at runtime. The panels hold UI components and allow resizing, reordering, dragging and dropping, removing, and adding. Easily place components at the desired positions within the grid layout.


Why choose Syncfusion Essential Studio® Angular Dashboard Layout?

Grid layout in Angular Dashboard.

Grid-structured layout

The Angular Dashboard Layout is a component with a grid-like structure that can easily split content into equal-sized cells.

Angular Dashboard layout easy interaction.

Easy to interact

The panels allow for resizing, rearranging, dragging, and dropping, removing and adding UI components. Components can be placed conveniently within the grid arrangement in the desired positions.

Insert UI component in Angular Dashboard.

Insert any UI component

DataGrid, Charts, gauges, Maps, or any HTML content can be placed as panel content inside the layout to present metrics.

Angular Dashboard auto arranging panels.

Auto arranging panels

With floating support, the panels in the layout will automatically organize themselves by sliding upward to occupy any open spaces. This makes efficient use of the layout for positioning panels.

Angular Dashboard responsiveness.

Adapts to any resolution

The Dashboard Layout is a highly responsive with an optimized design for desktops, touchscreens, and smart phones. It works well on all mobile phones that use iOS, Android, or Windows OS.

Angular Dashboard themes.

Attractive, customizable themes

Cutting-edge design with several built-in themes, such as Fluent, Tailwind CSS, Bootstrap, Material, and Fabric. Utilize the online Theme Studio tool to customize themes easily.


Angular Dashboard Layout Code Example

Easily get started with the Angular Dashboard Layout using a few simple lines of HTML and TS code example as demonstrated below. Also explore our Angular Dashboard Layout Example that shows you how to render and configure a Dashboard Layout in Angular.

<div class="control-section">
    <div style="padding:5px;text-align: right;">
        <button id="add" class="e-btn e-info" (click)="addPanel()">Add Panel</button>
    </div>
    <ejs-dashboardlayout id='default_dashboard' columns="5" #default_dashboard [cellSpacing]='cellSpacing'
        [allowResizing]='true'>
        <div id="one" class="e-panel" data-row="0" data-col="0" data-sizeX="1" data-sizeY="1">
            <span id="close" class="e-template-icon e-close-icon" (click)="onCloseIconHandler($event)"></span>
            <div class="e-panel-container">
                <div class="text-align">0</div>
            </div>
        </div>
    </ejs-dashboardlayout>
</div>
import { Component, ViewEncapsulation, Inject, ViewChild } from '@angular/core';
import { DashboardLayoutComponent, PanelModel } from '@syncfusion/ej2-angular-layouts';

/**

 * Default component
 */
@Component({
    selector: 'app-root',
    styleUrls: ['app.component.css'],
    templateUrl: 'app.component.html',
    encapsulation: ViewEncapsulation.None
})
export class AppComponent {
    @ViewChild('default_dashboard')
    public dashboard: DashboardLayoutComponent;
    constructor() {
        
    }
    public count: number = 8;
    public cellSpacing: number[] = [10, 10];
    addPanel(): void {
        let panel: PanelModel[] = [{
            'id': this.count.toString(), 'sizeX': 1, 'sizeY': 1, 'row': 0, 'col': 0,
            content: '<span id="close" class="e-template-icon e-close-icon"></span><div class="text-align">' + this.count.toString() + '</div>'
        }];
        this.dashboard.addPanel(panel[0]);
        let closeIcon: any = document.getElementById(this.count.toString()).querySelector('.e-close-icon');
        closeIcon.addEventListener('click', this.onCloseIconHandler.bind(this));
        this.count = this.count + 1;
    }
    onCloseIconHandler(event: any): void {
        if ((<HTMLElement>event.target).offsetParent) {
            this.dashboard.removePanel((<HTMLElement>event.target).offsetParent.id);
        }
    }
   
}

Dynamic layout design

The Angular Dashboard component allows dynamic designing of the layout by adding, removing, resizing, floating, and reordering the panels within the layout.

Drag and Drop

Angular Dashboard with rich UI provides smooth dragging of the panels to replace or re-order at the desired position within the layout.

Drag and drop in Angular Dashboard Layout.

Resizing

Easy resizing of a panel in all directions enables quick designing of the layout, and fitting small or large-sized content conveniently.

Resizing in Angular Dashboard Layout.

Floating

The panels within the layout will auto arrange by moving in the upward direction to occupy empty spaces available in the layout. This provides effective usage of the layout for panel placement. Angular admin template has all the functionality you’ll need to create beautiful, high-performance admin dashboards. With cool neutral colors and plenty of whitespace, it has a modern minimalist design style.

Angular Dashboard Floating.


Placing components as content

Place any HTML content or HTML UI components like Grid, Charts, Gauge, Maps, etc. to represent the metrics or KPI as panel content inside the dashboards.

Place components in Angular Dashboard Layout.


Angular Dashboard Layout State persistence.

State persistence

The Angular Dashboard Layout component’s public serialize method allows users to obtain and save the current layout structure of the component in order to construct another dashboard with the same panel structure.


Angular version compatibility

With continuous improvement in Angular versions, the Angular Dashboard Layout is kept up to date to make it compatible with versions starting from 4 to the latest version.

Angular version compatibility.





Other supported frameworks

Dashboard Layout is also available in Blazor, React, JavaScript, and Vue frameworks. Check out the different Dashboard Layout platforms from the links below,

Supported browsers

The Angular Dashboard works well with all modern web browsers such as Chrome, Firefox, Microsoft Edge, Safari, and Opera.

Supported browsers in Angular Dashboard Layout.

85+ ANGULAR UI COMPONENTS

Frequently Asked Questions

The Syncfusion Angular Dashboard Layout component offers the following features:

  • A simple and easily configurable layout component for designing interactive and responsive dashboards.
  • Allows effortless and dynamic customization of dashboards with draggable and resizable panels.
  • Easy to integrate other UI components like Grid, Charts, Gauge, Maps, and more to visualize any complex data or key metrics.
  • One of the best Angular Dashboard Layout in the market that offers feature-rich UI to interact with the software.
  • Simple configuration and API.
  • Supports all modern browsers.
  • Expansive learning resources such as demos and documentation to learn quickly and get started with Angular Dashboard Layout.

We do not sell the Angular Dashboard Layout separately. It is only available for purchase as part of the Syncfusion team license. This contains over 1,800 components and frameworks, including the Angular Dashboard Layout. The price of the team license starts at $395 per month for 5 developers, and includes support and updates until the subscription expires. In addition, we might offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

You can find our Angular Dashboard Layout demo which demonstrates how to render and configure the Dashboard.

No, our 1,800+ components and frameworks for web, mobile, and desktop, including our Angular Dashboard Layout, are not sold individually. They are only available as part of a team license. However, we have competitively priced the product, so it only costs a little bit more than what some other vendors charge for their Dashboard Layout component alone. We have also found that, in our experience, our customers usually start off using one of our products and then expand to several products quickly, so we felt it was best to offer all 1,800+ components and frameworks for a subscription fee that starts at $395 per month for a team of 5 developers. Additionally, we might be able to offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion is proud to hold the following industry awards.

Up arrow icon